{% extends 'base.html' %}
{% load f1 %} 
{% load addproperty %}

{% block title %}
    Account signup Page      
{% endblock %}

{% block content  %} 
         <p style="font-family: 'Brush Script MT', cursive; font-size:35px;">SignUp Page</p>
        <hr>
        {% if messages %}
            {% for message in messages %}
                <p style="color:red;">{{ message }}</p>
            {% endfor %}
        {% endif %}
        <form action="" method="POST" novalidate enctype="Multipart/form-data">
            {% csrf_token %}
           {% comment %}  {% for field in form %}
                {{ field.label_tag }} {{ field }} <span class="errors">{{ field.errors|striptags }}</span><br><br>
            {% endfor %} {% endcomment %}

            <label for="id_username"  class="form-label">Username:</label>
            {{form.username.errors}}
            {{ form.username|addclass:"form-control" }}

            <label for="id_password1"  class="form-label">Password:</label>
            {{form.password1.errors}} 
            {{ form.password1|addclass:"form-control" }}

            <label for="id_password2"  class="form-label">Password confirmation:</label> 
            {{form.password2.errors}}
            {{ form.password2|addclass:"form-control" }}
    
            <input type="submit" value="Signup" class="btn btn-success mt-2 form-control">
        </form> 
       <p class="mt-3">Already have an account? <a href="{% url 'account:login' %}">Login here</a></p>
{% endblock %}